I3BAR(1)

NAME
i3bar - xcb-based status- and workspace-bar

SYNOPSIS

i3bar [-b bar_id] [-s sock_path] [-t] [-h] [-v] [-V]

WARNING

i3bar will automatically be invoked by i3 for every bar configuration block.

Starting it manually is usually not what you want to do.

You have been warned!

OPTIONS

-s, --socket sock_path
    Overwrites the path to the i3 IPC socket.

-b, --bar_id bar_id
    Specifies the bar ID for which to get the configuration from i3. By default, i3bar will use the first bar block as configured in i3.

-t, --transparency
    Enable transparency (RGBA colors)

-h, --help
    Display a short help-message and exit

-v, --version
    Display version number and exit.

-V
    Be verbose.

DESCRIPTION

i3bar displays a bar at the bottom (or top) of your monitor(s) containing workspace switching buttons and a statusline generated by i3status(1) or similar. It is automatically invoked (and configured through) i3.

i3bar supports using a JSON protocol for setting the status line, see https://i3wm.org/docs/i3bar-protocol.html

Since i3 4.23, i3bar supports another JSON protocol for setting workspace buttons. See https://i3wm.org/docs/i3bar-workspace-protocol.html.

ENVIRONMENT

  I3SOCK

Used as a fallback for the i3 IPC socket path if neither the commandline contains an argument nor the I3_SOCKET_PATH property is set on the X11 root window.

EXAMPLES

Nothing to see here, move along. As stated above, you should not run i3bar manually.

Instead, see the i3 documentation, especially the User’s Guide.

SEE ALSO

i3status(1), j4status(1) or conky(1) for programs generating a statusline.

dzen2(1) or xmobar(1) for similar programs to i3bar.

AUTHORS

Axel Wagner and contributors